#include <coleco.h>
#include <getput1.h>

/* from music.s */
extern const void explosion[];
extern const void music_deltaremix[];
//extern const void music_game[];

/* from sound.s */
extern const void snd_table[];

void main(void)
{
    byte no;
    
    /* Set sound table */
    set_snd_table(snd_table);
    
    /* Screen Mode 2 - Text mode */
    screen_mode_2_text();
    
    /* Use BIOS ASCII charset */
    load_ascii();
    
    /* Set color to White, Backgrond invisible */
    fill_vram(0x2000,0xf0,2048);
    
    /* Copy pattern to 2nd and 3rd charset */
    duplicate_pattern();
    
    /* Screen Off */
    screen_off();
    
    /* Print information */
    print_at(1, 1,"DELTA REMIX");
    print_at(1, 2,"BY DANIEL BIENVENU");
    print_at(1, 3,"MAR 2012");

    print_at(3, 8,"1. PLAY");
    print_at(3,12,"3. STOP");
    
    /* Screen ON */
    screen_on();
    
    stop_music();

    /* Enable NMI function */    
    enable_nmi();

    /* Do nothing more... */
infinite_loop:

    if (keypad_1 >=1 && keypad_1 <= 2) {
        
        no = keypad_1;
        
        switch (no) {
            case 1:
                /* Play Music*/
                play_music(music_deltaremix);
                break;
            case 2:
                /* Stop Music */
                stop_music();
                break;
        }
        
        delay(10);
        
    }
    
    goto infinite_loop;
    
}

void nmi(void)
{
    /* Update Music */
    update_music();
}
